#include <Wire.h> //import the wire Lib.
  
            #define LEDPin 5 // define the LED pin 
            String bsend;

            void setup() {
              Wire.begin();        // join i2c bus (address optional for master)
              Serial.begin(9600); //here we decalre Serial at 9600 baudrate for the input
              pinMode(LEDPin,OUTPUT);// set LED pin as an output
            }
            
            void loop() {
              if (Serial.available() > 0) // If we have some input
              {
                bsend = Serial.readString(); // we read it as String
                /*
                  So one thing I have to mention here, we have write a BIN input(4bit)
                */
                
                Serial.println(bsend); // debugging
                send(bsend); // call the send(input) function
              }
            
            }
       void send(String input){

           if(input.charAt(0) == '1'){ // okay here we check the character on 2 places (master and slave)
                   Wire.beginTransmission(11); // transmit to device (slave)
                  Wire.write(1);              // sends 1
                  Wire.endTransmission();    // stop transmitting
            
           }else if(input.charAt(0) == '0' ){ //if it's 0, transmit 0
                   Wire.beginTransmission(11); // transmit to device (slave)
                  Wire.write(0);              // sends 0
                  Wire.endTransmission();    // stop transmitting
            
            }
            //---------------------------------------------------------------
              
              if(input.charAt(1) == '1'){ //  Master board turn on or off LED
                  digitalWrite(LEDPin,HIGH);
              }else if(input.charAt(1) == '0' ){
                  digitalWrite(LEDPin,LOW);
              }
              
       }
    
