        #include <Wire.h>
            #define LEDPin 5 // again define the LED on pin 5
            void setup() {
              // put your setup code here, to run once:
              Wire.begin(11);                /* join i2c bus with address 13, if you see to the code on the top, we have defined 3 divices
               with 11 as S1, 12 as S2 and 13 as S3. So you have to change this value according to the device */
              Wire.onReceive(receiveEvent); // register event
              pinMode(LEDPin,OUTPUT); // set LED pin as an output
              Serial.begin(9600); //for debugging
              Serial.println("init");//for debugging
            }
            
            void loop() {
              delay(100);// we have to assign the delay, so that we can hear work with the input
            
            }
            void receiveEvent(int howMany) {
            
              
              if (Wire.available()) { // the same thing as in serial
                byte c = Wire.read(); // receive byte as a character
                Serial.println(c); // debug
                 if (c == 1){ // if the character equals to 1
                  digitalWrite(LEDPin,HIGH); // turn on the led
                 }else if(c == 0){ // els if the character equals to 0 
                  digitalWrite(LEDPin,LOW); // turn the led off
                 }
              }
            }
          
